Index: pykota/trunk/po/zh_TW/pykota.po
===================================================================
--- pykota/trunk/po/zh_TW/pykota.po (revision 3259)
+++ pykota/trunk/po/zh_TW/pykota.po (revision 3272)
@@ -24,6 +24,5 @@
 "POT-Creation-Date: 2006-03-30 22:00+0200\n"
 "PO-Revision-Date: 2005-01-25 09:03+0800\n"
-"Last-Translator: Tsang Yu Pong, Teddy, Wing Kwong College in Hong Kong,"
-"<oops_teddy@yahoo.com.hk>\n"
+"Last-Translator: Tsang Yu Pong, Teddy, Wing Kwong College in Hong Kong,<oops_teddy@yahoo.com.hk>\n"
 "Language-Team: Hong Kong, Traditional Chinese <oops_teddy@yahoo.com.hk>\n"
 "MIME-Version: 1.0\n"
@@ -111,78 +110,53 @@
 msgstr ""
 
-msgid ""
-"The job size will be trusted anyway according to the 'trustjobsize' directive"
-msgstr ""
-
-#, python-format
-msgid ""
-"The job size will be trusted because it is inferior to the 'trustjobsize' "
-"directive's limit %s"
-msgstr ""
-
-#, python-format
-msgid ""
-"The job size will be modified according to the 'trustjobsize' directive : %s"
-msgstr ""
-
-#, python-format
-msgid ""
-"Printer %s not registered in the PyKota system, applying external policy (%"
-"s) for printer %s"
-msgstr ""
-"列印機 %s 在PyKota系統內沒有登記，因此這台列印機套用external policy (%s) "
-
-#, python-format
-msgid ""
-"User %s not registered in the PyKota system, applying external policy (%s) "
-"for printer %s"
-msgstr ""
-"使用者 %s 在PyKota內沒有登記，因此這個使用者將會套用external policy(%s) 於列"
-"印機 %s "
-
-#, python-format
-msgid ""
-"User %s doesn't have quota on printer %s in the PyKota system, applying "
-"external policy (%s) for printer %s"
+msgid "The job size will be trusted anyway according to the 'trustjobsize' directive"
+msgstr ""
+
+#, python-format
+msgid "The job size will be trusted because it is inferior to the 'trustjobsize' directive's limit %s"
+msgstr ""
+
+#, python-format
+msgid "The job size will be modified according to the 'trustjobsize' directive : %s"
+msgstr ""
+
+#, python-format
+msgid "Printer %s not registered in the PyKota system, applying external policy (%s) for printer %s"
+msgstr "列印機 %s 在PyKota系統內沒有登記，因此這台列印機套用external policy (%s) "
+
+#, python-format
+msgid "User %s not registered in the PyKota system, applying external policy (%s) for printer %s"
+msgstr "使用者 %s 在PyKota內沒有登記，因此這個使用者將會套用external policy(%s) 於列印機 %s "
+
+#, python-format
+msgid "User %s doesn't have quota on printer %s in the PyKota system, applying external policy (%s) for printer %s"
 msgstr "使用者 %s 沒有列印配額於列印機 %s ，套用對外政策 (%s) 於列印機 %s"
 
 #, python-format
-msgid ""
-"External policy %s for printer %s produced an error. Job rejected. Please "
-"check PyKota's configuration files."
+msgid "External policy %s for printer %s produced an error. Job rejected. Please check PyKota's configuration files."
 msgstr "對外政策 %s 於列印機 %s 產生錯誤，列印工作被拒，請撿查PyKota的設定檔案"
 
 #, python-format
-msgid ""
-"Printer %s not registered in the PyKota system, applying default policy (%s)"
+msgid "Printer %s not registered in the PyKota system, applying default policy (%s)"
 msgstr "列印機 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)"
 
 #, python-format
-msgid ""
-"User %s not registered in the PyKota system, applying default policy (%s) "
-"for printer %s"
+msgid "User %s not registered in the PyKota system, applying default policy (%s) for printer %s"
 msgstr "使用者 %s 沒有於PyKota系統內登記，套用預設的政策 (%s)於列印機 %s"
 
 #, python-format
-msgid ""
-"User %s doesn't have quota on printer %s in the PyKota system, applying "
-"default policy (%s)"
+msgid "User %s doesn't have quota on printer %s in the PyKota system, applying default policy (%s)"
 msgstr "使用者 %s 沒有列印配額於列印機 %s，套用預設的政策 (%s)"
 
 #, python-format
-msgid ""
-"Printer %s still not registered in the PyKota system, job will be rejected"
+msgid "Printer %s still not registered in the PyKota system, job will be rejected"
 msgstr "列印機 %s 依然沒有於PyKota系統內登記，列印工作要求被拒"
 
 #, python-format
-msgid ""
-"User %s still not registered in the PyKota system, job will be rejected on "
-"printer %s"
+msgid "User %s still not registered in the PyKota system, job will be rejected on printer %s"
 msgstr "使用者 %s 依然沒有於PyKota系統內登記，列印工作要求被拒於列印機 %s"
 
 #, python-format
-msgid ""
-"User %s still doesn't have quota on printer %s in the PyKota system, job "
-"will be rejected"
+msgid "User %s still doesn't have quota on printer %s in the PyKota system, job will be rejected"
 msgstr "使用者 %s 依然沒有列印配額於列印機 %s 在PyKota系統，列印工作被拒"
 
@@ -238,7 +212,5 @@
 
 #, python-format
-msgid ""
-"Still no print quota entry for user %s on printer %s after external policy. "
-"Printing is denied."
+msgid "Still no print quota entry for user %s on printer %s after external policy. Printing is denied."
 msgstr ""
 
@@ -294,7 +266,5 @@
 msgstr "列印計算結束"
 
-msgid ""
-"Job size forced to 0 because the real CUPS backend failed. No accounting "
-"will be done."
+msgid "Job size forced to 0 because the real CUPS backend failed. No accounting will be done."
 msgstr ""
 
@@ -391,6 +361,5 @@
 "  -O | --orderby exp   Change the ordering or result. 'exp' is a comma\n"
 "                       separated list of ordering statements, for example\n"
-"                       '--orderby +username,-printername'. Not all "
-"expression\n"
+"                       '--orderby +username,-printername'. Not all expression\n"
 "                       values are meaningful, so using this command line \n"
 "                       switch is not recommanded if you don't know the \n"
@@ -425,12 +394,10 @@
 "    YYYYMMDDhhmm : minute boundaries\n"
 "    YYYYMMDDhhmmss : second boundaries\n"
-"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-"
-"15)\n"
+"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-15)\n"
 "    today[+-NbDays] : today more or less N days (e.g. : today-15)\n"
 "    tomorrow[+-NbDays] : tomorrow more or less N days (e.g. : tomorrow-15)\n"
 "    now[+-NbDays] : now more or less N days (e.g. now-15)\n"
 "\n"
-"  'now' and 'today' are not exactly the same since today represents the "
-"first\n"
+"  'now' and 'today' are not exactly the same since today represents the first\n"
 "  or last second of the day depending on if it's used in a start= or end=\n"
 "  date expression. The utility to be able to specify dates in the future is\n"
@@ -519,6 +486,5 @@
 "                       edpykota to not modify existing print quota entries.\n"
 "                       \n"
-"  -S | --softlimit sl  Sets the quota soft limit to sl "
-"pages.                       \n"
+"  -S | --softlimit sl  Sets the quota soft limit to sl pages.                       \n"
 "  \n"
 "  -H | --hardlimit hl  Sets the quota hard limit to hl pages.\n"
@@ -529,16 +495,12 @@
 "\n"
 "  -U | --used u        Sets the page counters for the user u pages on\n"
-"                       the selected printers. Doesn't work for groups, "
-"since\n"
-"                       their page counters are the sum of all their "
-"members'\n"
+"                       the selected printers. Doesn't work for groups, since\n"
+"                       their page counters are the sum of all their members'\n"
 "                       page counters.\n"
 "                       Useful for migrating users from a different system\n"
 "                       where they have already used some pages. Actual\n"
-"                       and Life Time page counters may be increased or "
-"decreased\n"
+"                       and Life Time page counters may be increased or decreased\n"
 "                       if u is prefixed with + or -.\n"
-"                       WARNING : BOTH page counters are modified in all "
-"cases,\n"
+"                       WARNING : BOTH page counters are modified in all cases,\n"
 "                       so be careful.\n"
 "                       NB : if u equals '0', then the action taken is\n"
@@ -1022,9 +984,7 @@
 "                       output. \n"
 "                       \n"
-"  -u | --unit u        Defines the name of the unit to use on the "
-"invoice.                       \n"
+"  -u | --unit u        Defines the name of the unit to use on the invoice.                       \n"
 "                       The default unit is 'Credits', optionally translated\n"
-"                       to your native language if it is supported by "
-"PyKota.\n"
+"                       to your native language if it is supported by PyKota.\n"
 "  \n"
 "  -V | --vat p         Sets the percent value of the applicable VAT to be\n"
@@ -1056,12 +1016,10 @@
 "    YYYYMMDDhhmm : minute boundaries\n"
 "    YYYYMMDDhhmmss : second boundaries\n"
-"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-"
-"15)\n"
+"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-15)\n"
 "    today[+-NbDays] : today more or less N days (e.g. : today-15)\n"
 "    tomorrow[+-NbDays] : tomorrow more or less N days (e.g. : tomorrow-15)\n"
 "    now[+-NbDays] : now more or less N days (e.g. now-15)\n"
 "\n"
-"  'now' and 'today' are not exactly the same since today represents the "
-"first\n"
+"  'now' and 'today' are not exactly the same since today represents the first\n"
 "  or last second of the day depending on if it's used in a start= or end=\n"
 "  date expression. The utility to be able to specify dates in the future is\n"
@@ -1173,6 +1131,5 @@
 "pknotify v%(__version__)s (c) %(__years__)s %(__author__)s\n"
 "\n"
-"Notifies or ask questions to end users who launched the PyKotIcon "
-"application.\n"
+"Notifies or ask questions to end users who launched the PyKotIcon application.\n"
 "\n"
 "command line usage :\n"
@@ -1193,21 +1150,17 @@
 "                             user. Then pknotify will output the result.\n"
 "                       \n"
-"  -C | --checkauth           When --ask is used and both an 'username' and "
-"a\n"
+"  -C | --checkauth           When --ask is used and both an 'username' and a\n"
 "                             'password' are asked to the end user, then\n"
 "                             pknotify will try to authenticate the user\n"
 "                             through PAM. If authentified, this program\n"
 "                             will print \"AUTH=YES\", else \"AUTH=NO\".\n"
-"                             If a field is missing, \"AUTH=IMPOSSIBLE\" "
-"will\n"
+"                             If a field is missing, \"AUTH=IMPOSSIBLE\" will\n"
 "                             be printed. If the user is authenticated, then\n"
 "                             \"USERNAME=xxxx\" will be printed as well.\n"
 "                             \n"
-"  -c | --confirm             Tells pknotify to ask for either a "
-"confirmation                       \n"
+"  -c | --confirm             Tells pknotify to ask for either a confirmation                       \n"
 "                             or abortion.\n"
 "                             \n"
-"  -D | --denyafter N         With --checkauth above, makes pknotify "
-"loop                           \n"
+"  -D | --denyafter N         With --checkauth above, makes pknotify loop                           \n"
 "                             up to N times if the password is incorrect.\n"
 "                             After having reached the limit, \"DENY\" will\n"
@@ -1223,19 +1176,14 @@
 "                             be cancelled. The default value is CANCEL.\n"
 "                             \n"
-"  -n | --notify              Tells pknotify to send an informational "
-"message\n"
+"  -n | --notify              Tells pknotify to send an informational message\n"
 "                             to the end user.\n"
 "                             \n"
 "  -q | --quit                Tells pknotify to send a message asking the\n"
 "                             PyKotIcon application to exit. This option can\n"
-"                             be combined with the other ones to make "
-"PyKotIcon\n"
-"                             exit after having sent the answer from the "
-"dialog.\n"
+"                             be combined with the other ones to make PyKotIcon\n"
+"                             exit after having sent the answer from the dialog.\n"
 "                             \n"
-"  -t | --timeout T           Tells pknotify to ignore the end user's answer "
-"if\n"
-"                             it comes past T seconds after the dialog box "
-"being\n"
+"  -t | --timeout T           Tells pknotify to ignore the end user's answer if\n"
+"                             it comes past T seconds after the dialog box being\n"
 "                             opened. The default value is 0 seconds, which \n"
 "                             tells pknotify to wait indefinitely.\n"
@@ -1264,6 +1212,5 @@
 "                     then pknotify will print OK, else CANCEL.\n"
 "                     \n"
-"    -n | --notify : A single argument is expected, representing "
-"the                 \n"
+"    -n | --notify : A single argument is expected, representing the                 \n"
 "                    message to display. In this case pknotify will\n"
 "                    always print OK.\n"
@@ -1271,6 +1218,5 @@
 "examples :                    \n"
 "\n"
-"  pknotify -d client:7654 --noremote CONTINUE --confirm \"This job costs 10 "
-"credits\"\n"
+"  pknotify -d client:7654 --noremote CONTINUE --confirm \"This job costs 10 credits\"\n"
 "  \n"
 "  Would display the cost of the print job and asks for confirmation.\n"
@@ -1280,6 +1226,5 @@
 "  \n"
 "  pknotify --destination $PYKOTAJOBORIGINATINGHOSTNAME:7654 \\\n"
-"           --checkauth --ask \"Your name:username:\" \"Your password:"
-"password:\"\n"
+"           --checkauth --ask \"Your name:username:\" \"Your password:password:\"\n"
 "           \n"
 "  Asks an username and password, and checks if they are valid.         \n"
@@ -1308,13 +1253,9 @@
 
 #, python-format
-msgid ""
-"The end user at %s:%i didn't answer within %i seconds. The print job will be "
-"cancelled."
-msgstr ""
-
-#, python-format
-msgid ""
-"Are you sure that PyKotIcon is running and accepting incoming connections on "
-"%s:%s ?"
+msgid "The end user at %s:%i didn't answer within %i seconds. The print job will be cancelled."
+msgstr ""
+
+#, python-format
+msgid "Are you sure that PyKotIcon is running and accepting incoming connections on %s:%s ?"
 msgstr ""
 
@@ -1379,6 +1320,5 @@
 "                       printers groups it is a member of.\n"
 "                       \n"
-"  -r | --remove        In combination with the --groups option "
-"above,                       \n"
+"  -r | --remove        In combination with the --groups option above,                       \n"
 "                       remove printers from the specified printers groups.\n"
 "                       \n"
@@ -1402,6 +1342,5 @@
 "examples :                              \n"
 "\n"
-"  $ pkprinters --add -D \"HP Printer\" --charge 0.05,0.1 hp2100 hp2200 "
-"hp8000\n"
+"  $ pkprinters --add -D \"HP Printer\" --charge 0.05,0.1 hp2100 hp2200 hp8000\n"
 "  \n"
 "  Will create three printers named hp2100, hp2200 and hp8000.\n"
@@ -1415,12 +1354,10 @@
 "  $ pkprinters --delete \"*\"\n"
 "  \n"
-"  This will completely delete all printers and associated quota "
-"information,\n"
+"  This will completely delete all printers and associated quota information,\n"
 "  as well as their job history. USE WITH CARE !\n"
 "  \n"
 "  $ pkprinters --groups Laser,HP \"hp*\"\n"
 "  \n"
-"  This will put all printers which name matches \"hp*\" into printers "
-"groups \n"
+"  This will put all printers which name matches \"hp*\" into printers groups \n"
 "  Laser and HP, which MUST already exist.\n"
 "  \n"
@@ -1512,6 +1449,5 @@
 "  -u | --unit u        Defines the name of the unit to use on the receipts.\n"
 "                       The default unit is 'Credits', optionally translated\n"
-"                       to your native language if it is supported by "
-"PyKota.\n"
+"                       to your native language if it is supported by PyKota.\n"
 "  \n"
 "\n"
@@ -1539,12 +1475,10 @@
 "    YYYYMMDDhhmm : minute boundaries\n"
 "    YYYYMMDDhhmmss : second boundaries\n"
-"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-"
-"15)\n"
+"    yesterday[+-NbDays] : yesterday more or less N days (e.g. : yesterday-15)\n"
 "    today[+-NbDays] : today more or less N days (e.g. : today-15)\n"
 "    tomorrow[+-NbDays] : tomorrow more or less N days (e.g. : tomorrow-15)\n"
 "    now[+-NbDays] : now more or less N days (e.g. now-15)\n"
 "\n"
-"  'now' and 'today' are not exactly the same since today represents the "
-"first\n"
+"  'now' and 'today' are not exactly the same since today represents the first\n"
 "  or last second of the day depending on if it's used in a start= or end=\n"
 "  date expression. The utility to be able to specify dates in the future is\n"
@@ -1601,12 +1535,8 @@
 msgstr ""
 
-msgid ""
-"Refunding for no reason is forbidden. Please use the --reason command line "
-"option."
-msgstr ""
-
-msgid ""
-"The PDF file containing the receipts will be sent to stdout. --force is "
-"assumed."
+msgid "Refunding for no reason is forbidden. Please use the --reason command line option."
+msgstr ""
+
+msgid "The PDF file containing the receipts will be sent to stdout. --force is assumed."
 msgstr ""
 
@@ -1687,6 +1617,5 @@
 "                       it would do.\n"
 "                       \n"
-"  -u | --uidmin uid    Only adds users whose uid is greater than or equal "
-"to\n"
+"  -u | --uidmin uid    Only adds users whose uid is greater than or equal to\n"
 "                       uid. You can pass an username there as well, and its\n"
 "                       uid will be used automatically.\n"
@@ -1697,10 +1626,8 @@
 "                       uid. You can pass an username there as well, and its\n"
 "                       uid will be used automatically.\n"
-"                       If not set, a large value will be used "
-"automatically.\n"
+"                       If not set, a large value will be used automatically.\n"
 "                       Implies -d | --dousers.\n"
 "\n"
-"  -g | --gidmin gid    Only adds groups whose gid is greater than or equal "
-"to\n"
+"  -g | --gidmin gid    Only adds groups whose gid is greater than or equal to\n"
 "                       gid. You can pass a groupname there as well, and its\n"
 "                       gid will be used automatically.\n"
@@ -1708,10 +1635,8 @@
 "                       Implies -D | --dogroups.\n"
 "                       \n"
-"  -G | --gidmax gid    Only adds groups whose gid is lesser than or equal "
-"to\n"
+"  -G | --gidmax gid    Only adds groups whose gid is lesser than or equal to\n"
 "                       gid. You can pass a groupname there as well, and its\n"
 "                       gid will be used automatically.\n"
-"                       If not set, a large value will be used "
-"automatically.\n"
+"                       If not set, a large value will be used automatically.\n"
 "                       Implies -D | --dogroups.\n"
 "\n"
@@ -1732,7 +1657,5 @@
 
 #, python-format
-msgid ""
-"Printer %s is not managed by PyKota yet. Please modify printers.conf and "
-"restart CUPS."
+msgid "Printer %s is not managed by PyKota yet. Please modify printers.conf and restart CUPS."
 msgstr ""
 
@@ -1769,6 +1692,5 @@
 msgstr ""
 
-msgid ""
-"The --gidmin or --gidmax command line option implies --dogroups as well."
+msgid "The --gidmin or --gidmax command line option implies --dogroups as well."
 msgstr ""
 
@@ -1826,6 +1748,5 @@
 "  -L | --list          Lists users or groups.\n"
 "  \n"
-"  -l | --limitby l     Choose if the user/group is limited in "
-"printing                     \n"
+"  -l | --limitby l     Choose if the user/group is limited in printing                     \n"
 "                       by its account balance or by its page quota.\n"
 "                       The default value is 'quota'. Allowed values\n"
@@ -1838,9 +1759,7 @@
 "                         - nochange : no limit, accounting not done. \n"
 "                         - noprint : printing is denied. \n"
-"                       NB : nochange and noprint are not supported for "
-"groups.\n"
-"                       \n"
-"  -b | --balance b     Sets the user's account balance to "
-"b.                     \n"
+"                       NB : nochange and noprint are not supported for groups.\n"
+"                       \n"
+"  -b | --balance b     Sets the user's account balance to b.                     \n"
 "                       Account balance may be increase or decreased\n"
 "                       if b is prefixed with + or -.\n"
@@ -1856,6 +1775,5 @@
 "                       \n"
 "                       \n"
-"  -r | --remove        In combination with the --ingroups option "
-"above,                       \n"
+"  -r | --remove        In combination with the --ingroups option above,                       \n"
 "                       remove users from the specified users groups.\n"
 "                       \n"
@@ -2004,6 +1922,5 @@
 "                       Defaults to 3 seconds.\n"
 "                       \n"
-"  -f | --font f        Sets the font to use for "
-"display.                      \n"
+"  -f | --font f        Sets the font to use for display.                      \n"
 "                       Defaults to the Python OSD library's default.\n"
 "  \n"
@@ -2128,7 +2045,5 @@
 
 #, python-format
-msgid ""
-"Configuration file %s can't be read. Please check that the file exists and "
-"that your permissions are sufficient."
+msgid "Configuration file %s can't be read. Please check that the file exists and that your permissions are sufficient."
 msgstr ""
 
@@ -2182,7 +2097,5 @@
 
 #, python-format
-msgid ""
-"Option onbackenderror in section %s only supports values 'charge', "
-"'nocharge', and 'retry:num:delay'"
+msgid "Option onbackenderror in section %s only supports values 'charge', 'nocharge', and 'retry:num:delay'"
 msgstr ""
 
@@ -2312,7 +2225,5 @@
 msgstr "不正確的修改參數 [%s] 給 --data 指令選項，請參閱說明文件"
 
-msgid ""
-"Dumping all PyKota's datas forces format to XML, and disables --sum and "
-"filters."
+msgid "Dumping all PyKota's datas forces format to XML, and disables --sum and filters."
 msgstr ""
 
@@ -2351,12 +2262,8 @@
 msgstr "列印毎頁所需費用: %.3f"
 
-msgid ""
-"Group          overcharge   used    soft    hard    balance grace         "
-"total       paid warn"
-msgstr ""
-
-msgid ""
-"User           overcharge   used    soft    hard    balance grace         "
-"total       paid warn"
+msgid "Group          overcharge   used    soft    hard    balance grace         total       paid warn"
+msgstr ""
+
+msgid "User           overcharge   used    soft    hard    balance grace         total       paid warn"
 msgstr ""
 
@@ -2442,7 +2349,5 @@
 
 #, python-format
-msgid ""
-"Unable to find user %s's account balance, applying default policy (%s) for "
-"printer %s"
+msgid "Unable to find user %s's account balance, applying default policy (%s) for printer %s"
 msgstr "未能尋找使用者 %s 的帳目結算，因此採用預設的政策(%s)於列印機 %s"
 
@@ -2466,7 +2371,5 @@
 
 #, python-format
-msgid ""
-"Search base %s doesn't seem to exist. Probable misconfiguration. Please "
-"double check /etc/pykota/pykota.conf : %s"
+msgid "Search base %s doesn't seem to exist. Probable misconfiguration. Please double check /etc/pykota/pykota.conf : %s"
 msgstr "%s 不存在，很可能是錯誤設定所致請撿查 /etc/pykota/pykota.conf : %s"
 
@@ -2488,10 +2391,6 @@
 
 #, python-format
-msgid ""
-"No pykotaAccountBalance object found for user %s. Did you create LDAP "
-"entries manually ?"
-msgstr ""
-"未能為使用者 %s 尋找pkotaAccountBalance object，請問你是否已手動建立LDAP 紀"
-"錄?  "
+msgid "No pykotaAccountBalance object found for user %s. Did you create LDAP entries manually ?"
+msgstr "未能為使用者 %s 尋找pkotaAccountBalance object，請問你是否已手動建立LDAP 紀錄?  "
 
 msgid "Hidden because of privacy concerns"
@@ -2499,9 +2398,6 @@
 
 #, python-format
-msgid ""
-"Unable to find an existing objectClass %s entry with %s=%s to attach "
-"pykotaAccount objectClass"
-msgstr ""
-"未能尋找現存的objectclass %s 紀錄帶有 %s=%s 連繫到pykotaAccount objectClass "
+msgid "Unable to find an existing objectClass %s entry with %s=%s to attach pykotaAccount objectClass"
+msgstr "未能尋找現存的objectclass %s 紀錄帶有 %s=%s 連繫到pykotaAccount objectClass "
 
 #, python-format
@@ -2513,6 +2409,5 @@
 msgstr "未能尋找現存的紀錄連繫到pykotaGroup objectclass %s"
 
-msgid ""
-"Your version of python-mysqldb is too old. Please install a newer release."
+msgid "Your version of python-mysqldb is too old. Please install a newer release."
 msgstr ""
 
@@ -2526,7 +2421,5 @@
 
 #, python-format
-msgid ""
-"Couldn't retrieve printer %s's internal page counter either before or after "
-"printing."
+msgid "Couldn't retrieve printer %s's internal page counter either before or after printing."
 msgstr "不能恢復列印機 %s 的內存頁面計算器不論在列印的之前或之後"
 
@@ -2568,7 +2461,5 @@
 
 #, python-format
-msgid ""
-"Unable to precompute the job's size and ink coverage with the generic PDL "
-"analyzer : %s"
+msgid "Unable to precompute the job's size and ink coverage with the generic PDL analyzer : %s"
 msgstr ""
 
@@ -2594,13 +2485,9 @@
 
 #, python-format
-msgid ""
-"PJL querying stage interrupted. Using latest value seen for internal page "
-"counter (%s) on printer %s."
+msgid "PJL querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s."
 msgstr "PJL查詢被中斷，使用最更新的數值來計算頁數計算器 (%s) 在列印機 %s 上"
 
 #, python-format
-msgid ""
-"SNMP querying stage interrupted. Using latest value seen for internal page "
-"counter (%s) on printer %s."
+msgid "SNMP querying stage interrupted. Using latest value seen for internal page counter (%s) on printer %s."
 msgstr "SNMP查詢被中斷，使用最更新的數值來計算頁數計算器 (%s) 在列印機 %s 上"
 
@@ -2739,7 +2626,5 @@
 msgstr ""
 
-msgid ""
-"The exact cost of a print job can only be determined for a particular user. "
-"Please retry while logged-in."
+msgid "The exact cost of a print job can only be determined for a particular user. Please retry while logged-in."
 msgstr ""
 
@@ -2815,6 +2700,5 @@
 #~ msgstr "# 請注意 : 假若軟件記帳是建議使用，這並不表示"
 
-#~ msgid ""
-#~ "# that hardware accounting wouldn't work, this only means that PyKota"
+#~ msgid "# that hardware accounting wouldn't work, this only means that PyKota"
 #~ msgstr "# 硬體記帳不能使用，這只代表PyKota"
 
@@ -2843,27 +2727,15 @@
 #~ msgstr "未能確認列系統，args=%s"
 
-#~ msgid ""
-#~ "Internal SNMP accounting asked, but Python-SNMP is not available. Please "
-#~ "download it from http://pysnmp.sourceforge.net"
-#~ msgstr ""
-#~ "要求內存的SNMP計算器，但找不到Python-SNMP請到http://pysnmp.sourceforge.net"
-#~ "下載"
+#~ msgid "Internal SNMP accounting asked, but Python-SNMP is not available. Please download it from http://pysnmp.sourceforge.net"
+#~ msgstr "要求內存的SNMP計算器，但找不到Python-SNMP請到http://pysnmp.sourceforge.net下載"
 
 #~ msgid "Too many arguments, see help."
 #~ msgstr "太多arguments，請參閱說明文件"
 
-#~ msgid ""
-#~ "Group           used    soft    hard    balance grace         total       "
-#~ "paid"
-#~ msgstr ""
-#~ "群組           已列印    警告限制    有效限制    結餘 寬限日期        付款"
-#~ "總計       已繳付"
-
-#~ msgid ""
-#~ "User            used    soft    hard    balance grace         total       "
-#~ "paid"
-#~ msgstr ""
-#~ "群組           已列印    警告限制    有效限制    結餘 寬限日期         付"
-#~ "款總計       已繳付"
+#~ msgid "Group           used    soft    hard    balance grace         total       paid"
+#~ msgstr "群組           已列印    警告限制    有效限制    結餘 寬限日期        付款總計       已繳付"
+
+#~ msgid "User            used    soft    hard    balance grace         total       paid"
+#~ msgstr "群組           已列印    警告限制    有效限制    結餘 寬限日期         付款總計       已繳付"
 
 #~ msgid "Waiting for printer %s to be idle or printing..."