Index: pykota/trunk/initscripts/ldap/README.ldap
===================================================================
--- pykota/trunk/initscripts/ldap/README.ldap (revision 3277)
+++ pykota/trunk/initscripts/ldap/README.ldap (revision 3279)
@@ -3,5 +3,5 @@
 PyKota - Print Quotas for CUPS
 
-(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/sqlite/pykota-sqlite.sql
===================================================================
--- pykota/trunk/initscripts/sqlite/pykota-sqlite.sql (revision 3259)
+++ pykota/trunk/initscripts/sqlite/pykota-sqlite.sql (revision 3279)
@@ -2,5 +2,5 @@
 -- PyKota - Print Quotas for CUPS
 --
--- (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+-- (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 -- This program is free software: you can redistribute it and/or modify
 -- it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/sqlite/README.sqlite
===================================================================
--- pykota/trunk/initscripts/sqlite/README.sqlite (revision 3259)
+++ pykota/trunk/initscripts/sqlite/README.sqlite (revision 3279)
@@ -3,5 +3,5 @@
 PyKota - Print Quotas for CUPS
 
-(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/postgresql/README.postgresql
===================================================================
--- pykota/trunk/initscripts/postgresql/README.postgresql (revision 3259)
+++ pykota/trunk/initscripts/postgresql/README.postgresql (revision 3279)
@@ -3,5 +3,5 @@
 PyKota - Print Quotas for CUPS
 
-(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/postgresql/pykota-postgresql.sql
===================================================================
--- pykota/trunk/initscripts/postgresql/pykota-postgresql.sql (revision 3259)
+++ pykota/trunk/initscripts/postgresql/pykota-postgresql.sql (revision 3279)
@@ -2,5 +2,5 @@
 -- PyKota - Print Quotas for CUPS
 --
--- (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+-- (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 -- This program is free software: you can redistribute it and/or modify
 -- it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/mysql/README.mysql
===================================================================
--- pykota/trunk/initscripts/mysql/README.mysql (revision 3259)
+++ pykota/trunk/initscripts/mysql/README.mysql (revision 3279)
@@ -3,5 +3,5 @@
 PyKota - Print Quotas for CUPS
 
-(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/mysql/pykota-mysql.sql
===================================================================
--- pykota/trunk/initscripts/mysql/pykota-mysql.sql (revision 3259)
+++ pykota/trunk/initscripts/mysql/pykota-mysql.sql (revision 3279)
@@ -2,5 +2,5 @@
 -- PyKota - Print Quotas for CUPS
 --
--- (c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+-- (c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 -- This program is free software: you can redistribute it and/or modify
 -- it under the terms of the GNU General Public License as published by
Index: pykota/trunk/initscripts/README
===================================================================
--- pykota/trunk/initscripts/README (revision 3259)
+++ pykota/trunk/initscripts/README (revision 3279)
@@ -3,5 +3,5 @@
 PyKota - Print Quotas for CUPS
 
-(c) 2003, 2004, 2005, 2006, 2007 Jerome Alet <alet@librelogiciel.com>
+(c) 2003, 2004, 2005, 2006, 2007, 2008 Jerome Alet <alet@librelogiciel.com>
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by