Index: /pykota/trunk/bin/pkinvoice
===================================================================
--- /pykota/trunk/bin/pkinvoice (revision 3295)
+++ /pykota/trunk/bin/pkinvoice (revision 3303)
@@ -163,8 +163,8 @@
         self.canvas.setFont("Helvetica-Bold", size)
         self.canvas.setFillColorRGB(0, 0, 0)
-        self.canvas.drawRightString(xcenter, self.ypos, "%s :" % self.userCharsetToUTF8(label))
+        self.canvas.drawRightString(xcenter, self.ypos, "%s :" % label)
         self.canvas.setFont("Courier-Bold", size)
         self.canvas.setFillColorRGB(0, 0, 1)
-        self.canvas.drawString(xcenter + 0.5*cm, self.ypos, self.userCharsetToUTF8(value))
+        self.canvas.drawString(xcenter + 0.5*cm, self.ypos, value)
         self.canvas.restoreState()
         self.ypos -= (size + 4)
@@ -203,6 +203,6 @@
         
         c.setAuthor(self.effectiveUserName)
-        c.setTitle("PyKota invoices")
-        c.setSubject("Invoices generated with PyKota")
+        c.setTitle(_("PyKota invoices"))
+        c.setSubject(_("Invoices generated with PyKota"))
         
         self.canvas.beginForm("background")
@@ -231,5 +231,5 @@
         self.canvas.setFillColorRGB(0, 0, 0)
         msg = _("Here's the invoice for your printouts")
-        self.canvas.drawCentredString(xcenter, self.ypos, "%s :" % self.userCharsetToUTF8(msg))
+        self.canvas.drawCentredString(xcenter, self.ypos, "%s :" % msg)
         
         self.yorigine = self.ypos
Index: /pykota/trunk/bin/pkbanner
===================================================================
--- /pykota/trunk/bin/pkbanner (revision 3295)
+++ /pykota/trunk/bin/pkbanner (revision 3303)
@@ -49,4 +49,5 @@
 from pykota.errors import PyKotaToolError, PyKotaCommandLineError
 from pykota.tool import Tool
+from pykota import version
 
 __doc__ = N_("""pkbanner v%(__version__)s (c) %(__years__)s %(__author__)s
@@ -122,9 +123,9 @@
         canvas.setFillColorRGB(r, g, b)
         message = "%s :" % _(label)
-        canvas.drawRightString(x, y, self.userCharsetToUTF8(message))
+        canvas.drawRightString(x, y, message)
         canvas.setFont("Courier-Bold", size)
         (r, g, b) =  [ color + (savetoner * (1.0 - color)) for color in (1, 0, 0) ] # Red * savetoner
         canvas.setFillColorRGB(r, g, b)
-        canvas.drawString(x + 0.5*cm, y, self.userCharsetToUTF8(value))
+        canvas.drawString(x + 0.5*cm, y, value)
         canvas.restoreState()
         return (size + 4)
@@ -135,7 +136,7 @@
         c = canvas.Canvas(document, pagesize=pagesize, pageCompression=1)
         
-        c.setAuthor("Jerome Alet")
-        c.setTitle("PyKota generated Banner")
-        c.setSubject("This is a print banner generated with PyKota")
+        c.setAuthor(self.effectiveUserName)
+        c.setTitle(_("PyKota generated Banner"))
+        c.setSubject(_("This is a print banner generated with PyKota"))
         
         xcenter = pagesize[0] / 2.0
Index: /pykota/trunk/bin/pkrefund
===================================================================
--- /pykota/trunk/bin/pkrefund (revision 3295)
+++ /pykota/trunk/bin/pkrefund (revision 3303)
@@ -179,8 +179,8 @@
         self.canvas.setFont("Helvetica-Bold", size)
         self.canvas.setFillColorRGB(0, 0, 0)
-        self.canvas.drawRightString(xcenter, self.ypos, "%s :" % self.userCharsetToUTF8(label))
+        self.canvas.drawRightString(xcenter, self.ypos, "%s :" % label)
         self.canvas.setFont("Courier-Bold", size)
         self.canvas.setFillColorRGB(0, 0, 1)
-        self.canvas.drawString(xcenter + 0.5*cm, self.ypos, self.userCharsetToUTF8(value))
+        self.canvas.drawString(xcenter + 0.5*cm, self.ypos, value)
         self.canvas.restoreState()
         self.ypos -= (size + 4)
@@ -214,6 +214,6 @@
         
         c.setAuthor(self.effectiveUserName)
-        c.setTitle("PyKota print job refunding receipts")
-        c.setSubject("Print job refunding receipts generated with PyKota")
+        c.setTitle(_("PyKota print job refunding receipts"))
+        c.setSubject(_("Print job refunding receipts generated with PyKota"))
         
         self.canvas.beginForm("background")
@@ -242,5 +242,5 @@
         self.canvas.setFillColorRGB(0, 0, 0)
         msg = _("Here's the receipt for the refunding of your print jobs")
-        self.canvas.drawCentredString(xcenter, self.ypos, "%s :" % self.userCharsetToUTF8(msg))
+        self.canvas.drawCentredString(xcenter, self.ypos, "%s :" % msg)
         
         self.yorigine = self.ypos